Gallery Platform API
Reference

List artwork activity timeline

Lists an artwork's activity timeline (added, moved, price changed, consigned, ownership, interest, interactions), newest first. Appended automatically as the work changes.

GET
/gallery/artworks/{id}/events

Lists an artwork's activity timeline (added, moved, price changed, consigned, ownership, interest, interactions), newest first. Appended automatically as the work changes.

Authorization

bearerAuth artworks:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "artwork_id": "string",      "event_type": "created",      "actor_id": "string",      "contact_id": "string",      "ref_table": "string",      "ref_id": "58ed4a6c-926f-4b2f-b688-ecd86db2ed34",      "summary": "string",      "metadata": {        "property1": null,        "property2": null      },      "occurred_at": "string",      "created_at": "string"    }  ]}